Package org.springframework.security.crypto.codec

## Class Base64

- java.lang.Object
- - org.springframework.security.crypto.codec.Base64

    @Deprecated
    public final class Base64
    extends java.lang.Object

Deprecated.
Use java.util.Base64
Base64 encoder which is a reduced version of Robert Harder's public domain implementation (version 2.3.7). See http://iharder.sourceforge.net/current/java/base64/ for more information.

For internal use only.

Since:
  3.0

### Field Summary

Fields
`static int` `DECODE` Deprecated. Specify decoding in first bit.
`static int` `DO_BREAK_LINES` Deprecated. Do break lines when encoding.
`static int` `ENCODE` Deprecated. Specify encoding in first bit.
`static int` `NO_OPTIONS` Deprecated. No options specified.
`static int` `ORDERED` Deprecated. Encode using the special "ordered" dialect of Base64.
`static int` `URL_SAFE` Deprecated. Encode using Base64-like encoding that is URL- and Filename-safe as described in Section 4 of RFC3548: https://tools.ietf.org/html/rfc3548.

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static byte[]` `decode​(byte[] bytes)` Deprecated.
`static byte[]` `encode​(byte[] bytes)` Deprecated.
`static boolean` `isBase64​(byte[] bytes)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NO_OPTIONS

    public static final int NO_OPTIONS

Deprecated.
No options specified. Value is zero.

See Also:
  Constant Field Values

#### ENCODE

    public static final int ENCODE

Deprecated.
Specify encoding in first bit. Value is one.

See Also:
  Constant Field Values

#### DECODE

    public static final int DECODE

Deprecated.
Specify decoding in first bit. Value is zero.

See Also:
  Constant Field Values

#### DO_BREAK_LINES

    public static final int DO_BREAK_LINES

Deprecated.
Do break lines when encoding. Value is 8.

See Also:
  Constant Field Values

#### URL_SAFE

    public static final int URL_SAFE

Deprecated.
Encode using Base64-like encoding that is URL- and Filename-safe as described in Section 4 of RFC3548: https://tools.ietf.org/html/rfc3548. It is important to note that data encoded this way is not officially valid Base64, or at the very least should not be called Base64 without also specifying that is was encoded using the URL- and Filename-safe dialect.

See Also:
  Constant Field Values

#### ORDERED

    public static final int ORDERED

Deprecated.
Encode using the special "ordered" dialect of Base64.

See Also:
  Constant Field Values

### Method Detail

#### decode

    public static byte[] decode​(byte[] bytes)

Deprecated.

#### encode

    public static byte[] encode​(byte[] bytes)

Deprecated.

#### isBase64

    public static boolean isBase64​(byte[] bytes)

Deprecated.